C     FORTRAN77-PROGRAMM
C     ZUM DEMONSTRIEREN DER ASSEMBLER-ROUTINEN
C     PUTCUR UND CLRSCR
C     (C) 1988 JšRGEN BANDT & PASCAL Int.
C     *****************************************
C
      PROGRAM CURSOR
C
      INTEGER*2 Zeile, Spalte, Aus, Ein
C
   10 FORMAT(I1)
   20 FORMAT(I2)
C
    1 CALL CLRSCR
C
      CALL PUTCUR(1,10)
      READ(*,20)Zeile
      CALL PUTCUR(1,20)
      READ(*,20)Spalte
C
      IF(Zeile.LT.1.OR.Zeile.GT.25)   GOTO 1
      IF(Spalte.LT.1.OR.Spalte.GT.80) GOTO 1
C
    5 CALL PUTCUR(Zeile,Spalte)
      READ(*,10)Ein
      IF(Ein)5,99,1
C
   99 CALL CLRSCR
      STOP ' ENDE PROGRAMM '
      END
